/*
Change-log
PIVview2C/3C & Utilities
- = bug fixes
+ = enhancements
* = general changes

RELEASE NOTES:

v.3.9.8 - Aug.2023 - Oct.2023
	+ implementation of YAML-formatted parameter files

v.3.9.7 - Apr.2023 - Jun.2023
	+ mapimage - switched to shifted-linear image interpolation as default (less prone to pixel-locking)
	- ncdf2tec - fixed output of differentials
v.3.9.6 - Jun.2022 - Nov.2022
	+ PIVviewTR - added image splitting for pcoraw-files and pco B16 files
	- average - masked values not properly accounted for
	- ShowImg3 - space-time velocity profiles could not be displayed
	+ ShowImg3 - added plot of mean values to X- and Y-profile
v.3.9.5 - Apr.2022
	- PIVview/ShowImg3/PIVmap3 - fixed localization issue for floating point values in editor fields (comma vs. decimal-point)
	- spivdisparity - exclude masked vectors during validation step
v.3.9.4 - Mar.2022
	+ PIVview/ShowImg3/PIVmap3 - LUT selection using actual colorbar in drop-down menu
	+ PIVview/PIVmap3 - optional view identification as image overlay
	+ PIVview2C - sequence file generation during batch-processing
	+ ShowImg3 - can read/display PIVview sequence files
	+ ShowImg3 - now remembers last accessed directory
	- (all) - failure to load PCO-B16 images 
	- ShowImg3 - wasn't accepting PCO-B16 images per drag-n-drop
	+ PIVmap3 - home window signals state of grid detection and mappings for respective calibration images
	- PIVmap3 - fixed mismatch between camera view and displayed image, x,y,z-offset accepted only integers
	- PIVview - fixed color coding issue in vector plot menu
	- PIVview3C - validation on 3c-residuals failed
	+ pivdata2sequence - new commandline utility to pack individual PIV fields into common file 
v.3.9.3 - May.2021 - Nov.2021
	* PIVview2C/3C - switched to Qt5.15 because of stability issues with user interface (crash when scrolling) and extended support
	+ PIVview2C/3C - replaced scatter plot and 1D-histograms, now has improved formatting, zoom & scroll (global histogram filtering currently not available)
	+ PIVview2C - implemented 2 additional particle image detection schemes for PTV
	+ PIVview2C - implemented image swapping for masked areas to improve near-wall shear flow estimation
	+ raw2img - convert PCO-raw image sequence file into individual TIFF files
v.3.9.2 - Mar.2021
	+ PIVview2C/3C - moved 1-D PDF function top-level menu
	+ PIVview2C/3C - added PDF for out-of-plane velocity component
	- PIVview2C/3C - addressed several bugs causing PIVview to crash
v.3.9.1 - Jan.2021
	* PIVview2C - added "Recent Parameters" menu entry
v.3.9.0 - Dec.2020
	- PIVview2C/3C - batch mode did not process PCO-double images
	* PIVviewSDK - update to current version
v.3.9.0a - Sep.2020
	- Programs did not run using remote license server (encryption issue)
v.3.9.0a - Feb.2020
	+ PIVview2C - added PTV batch processing and export capabilities
	* libdpiv - replaced C-strings char* with C++ std::string
	* libdpiv - update from netCDF version 3.6.2 to version 4.7.3
	* pyPIVview - update to python version 3.7
	+ libdpiv - support for loading 12-bit color TIFF as grayscale
	- average - not able to deal with missing files in sequence
	- PIVmap3 - not able to save project 

v.3.8.6 - Oct.2019
	+ PIVmap3 - option for toggling between original and filtered calibration image
	+ dpiv - added -bkgd option to specify background image via command line
	+ dpiv - added options -sf -imgorigin -physorigin
	+ dpiv_mp/dpiv3c_mp - added multi-processor versions of dpiv and dpiv3c

v.3.8.5 - Aug.2019
	* swiched to Qt 5.12 LTS, all other libs updated to latest versions (libpng, libtiff, libfftw, zlib,...)
	+ PIVmap3 - menu options for rotating and flipping helper axes
	+ PIVmap3 - additional image enhancement filters
	+ PIVview2C/3C - added direct entry fields for intensity range 
	- PIVview2C/3C - re-enabled multi-core use (was accidentally disabled due to compiler change)
	+ ShowImg3 - support for raw image formats (PCOraw, Photron MRAW, Phantom CINE, IXCamera IXC)
	+ ShowImg3 - support for netCDF (TR-PIV) data sets
	+ raw2img - command line utility for unpacking raw image data files into individual images
	
v.3.8.3 - Aug.2018
	+ PIVview - import LaVision's double images 
	+ PIVview2C - apply initial data set to pre-deform image before processing
	- ShowImg3 - fixed histogram for floating point images
	+ dpiv - apply initial data set to pre-deform image before processing
	- libdpiv - fixed image translation for shifts < 0.5

v.3.8.0
	* moved to Qt5.8.0, all other libs updated to latest versions (libpng, libtiff, libfftw, zlib,...)
	+ added JPEG support to libdpiv (allows 8-bit JPEGs to be loaded by all of PIVview's tools)
	+ added import of indexed PNG and multi-channel PNG (with RGB to gray conversion)

v.3.7.0
	- does not exist (made minor version number equivalent to QT's )

v.3.6.5
	+ added Python interface for libdpiv library
	* PIVview - implemented local normalization image filter
	* PIVview - improved particle position estimator for PTV
	- stereo - stereo reconstruction residuals were not stored
	- PIVview3C - fixed polynomial-based disparity mapping 
 	- PIVview3C - image of correlation-averaged disparities only stored in 8-bit (off-scale intensities)
	- PIVview2C/3C - internal fixes regarding batch processing interface

v.3.6.4
	* PIVview Release for MacOSX using Qt5.6.0
	* PIVview2C - 2D-PDF zoom factor
	* PIVview2C - modifications to color picker
	- PIVview2C - speckle mode was not working
	- netCDF output of dv/dx was wrong (instead stored du/dx)
	- average - output of skew, flatness with divide-by-0 data in masked areas
	- dpiv - crashed on image dewarping
	- fixed salt-n-pepper noise in dewarped images using polynimial mapping
	
v.3.6.3
	- PIVview2C/3C - batch output options partially disabled
v.3.6.2
	+ PIVview2C/3C/ShowImg3 - replaced XY-plot windows with versions of improved performance 
		including scroll and zoom (image histogram, displacement PDF, image-profile)
	+ added PowerSpectrum class to library
	- Image2D::operator+= / Image2D::operator-=  faulty for 8-bit images
	- PIVmask/MaskEditor - mask objects weren't reloaded from file
	- PIVview3C - problem with back-projection of view-B together with disparity correction
v.3.6.1
	- PIVview2C - removed RMS-output files as this data is contained in the Reynolds stress files
	+ PIVview2C - modifications to batch processing menu (also removed inconsistencies in output options)
	+ PIVview2C - plots of correlation coefficient and validation rate now in percent scale
	- PIVview2C/3C - min/max filter: memory corruption and crash if kernelsize is even 
	- libdpiv - previously masked vectors lost during validation step
v.3.6.0.2
	- PIVmap3,PIVview3C - fixed image mapping based on camera model
	+ PIVview2C/3C - added scaling info in micrometer/pixel
v.3.6.0.1
	+ average - added single-pass capability for calculation of co-variances
	- PIVview2C/3C - image preprocessing: fine adjustment disabled in second-frame-only-mode
	- PIVview2C/3C - image file dialog lost "Image pair offset" field
	- PIVview2C/3C - saving newly created mask crashed program
	- PIVmap3 - allow individual camera model per camera view, store camera calibration model and parameters in PIVmap configuration file
	- PIVview3C - stereo disparity check: added displacement validation  
v.3.6.0
	* Ported all GUI exe's to Qt5.3.2 / Visual Studio 2013
	- PIVview2C/3C - loading background on split-PCO-B16 images not working
	- PIVview3C - disparity map faulty after changing interrogation parameters
	- PIVview3C - disparity map not being utilized
	- PIVmap3 - multilevel target only supported for one view at a time
	- PIVview2C/3C - speckle mode not working 
	
v.3.5.9.2
	+ PIVview2C/3C: added Z-score validation test (also called "standard score") 
	+ PIVviewBatch: verified on image/data sets exceeding 100,000 images
	+ PIVview2C/3C: PDF- and postscript export now matches actual plot aspect ratio
	+ PIVview3C: added second mask editor for other camera view
	+ MaskEditor: load and display image pairs
	- stereo: camera positions specified on commandline were not utilized
	- PIVview2C/3C: background image for double-image (PCO) not subtracted
	- PIVview3C: problem with least squares fit in disparity mapping
v.3.5.9.1
	- PIVview2C: multi-grid analysis with final image deformation used previous image data set
	- PIVview2C: apply button in "Image-PreProcessing" menu not working
	- PIVview2C: crash while trying to load color TIFF images
v.3.5.9
	- PIVview2C/3C: fixed slow mask loading
	- average: vector_count data not stored properly in netCDF file
	- dpiv/PIVview: fixed random crash occurring for sparsely seeded image data
v.3.5.8.8
	- average: Standard deviations (RMS) was not calculated
v.3.5.8.7
	- PIVview2C/3C: zero clipping of negative intensities of background subtracted images
	- PIVview2C/3C: dynamic histogram clipping faulty
	- PIVmap3: camera calibration failed
v.3.5.8.6
	- PIVview2C/3C: internal conversion to float format did not load PCO double images properly
v.3.5.8.5
	+ PIVview: added variable image pair offset in image load dialog
	- missing diffferentials due to misinterpreted validation flag
v.3.5.8.4
	- dpiv3c: fixed sporadic crash (caused by integer overun)
v.3.5.8.3
	- PIVview/average: flag variable in average files not properly set
v.3.5.8.2
	- PIVview/cmdtools: truncation issue with min-max filter
v.3.5.8.1
	- PIVview3c/dpiv3c: identical output from both programs 
		(previous differences due to slightly different image pre-processing implementation) 
v.3.5.8
	+ PIVview: image matching based on error correlation function 
	+ PIVview: variable bins/pixel on 1-D PDFs
	+ PIVview: adjustable dialog font size
	- PIVview: correlation plane sample views sometimes scrambled
	+ PIVmap3: added mesh distortion options
	- dpiv3c: fixed mask use for view-B, output file naming
	- netcdf output was missing gradients

v.3.5.7
	- bugfix in dynamic histogram image filtering for float images
	+ calculation of combined average/minimum image from sequence (tool 'imgbatch' and PIVivew)
	+ tool 'ncdf2tec': additional output options for differential quantities

v.3.5.5 / 3.5.6
	- tool 'average' did not store pixel displacement data (option -raw)
	- correlation averaging failed when using direct correlation (DCC)
	- image offset change not always accepted from PIV parameter menu
	- multigrid sample overlap was not transferred from "Advanced PIV" setup menu
	- fixed several display issues (image brightness, autoscaling)
	- PIVmap3 did not dewarp images properly
	- view specific image processing was faulty (PIVview3C)
	- fixed several issues with batch processing of disparity correction (PIVview3C) 
	- conversion of Z-component was faulty (PIVview3C)
	- internal issue with image filename not being stored
	+ save parameters in stereo file load menu (PIVview3C) 
	+ choice of image origin convention (top-left or bottom-left indexing)
	+ status label indicating camera view and processing mode
	+ improved automatic image intensity adjustment

v.3.5.4
	+ ost-process option to fill in outliers or disabled vectors in final result
	- avoid display of filtered result view without presence of valid data
	- re-enabled use of external parameter file in batch-processing mode

v.3.5.3
	+ option to save post-processed data/plots in batch-processing mode
	+ added drag-n-drop features to post-processing menu
    
v.3.5.2
	- various bug fixes to ver.3.5.0
	
v.3.5.1
	+ added direct correlation (DCC) to complement FFT-based correlation
	+ new image handling class 'Image3D'
	* renamed class 'BasicImage' to 'Image2D' (for consistency purposes)

v.3.5.0 - Oct. 2012
	* significant changes of internal data handling to support 3-D and time resolved data in the future
	* redesign of SDK
		- support for time series
	- PIVview2C/3C: repair in BMP image loader to deal with images of negative dimensions
	+ tool 'ncdf2tec' now converts data sequences
	+ tool 'multicorr' for triple-image correlation analysis
	+ tool 'trpiv_post' for post-processing of time resolved data sequences

v.3.3.6 - June 2012
	+ PIVview2C/3C: improved LUT bar configuration / changed plot menu

v.3.3.5 - Apr. 2012
	+ PIVview2C/3C: enabled multi-core processing
	+ PIVview2C/3C, PIVmap3: file names in parameter files stored as relative paths
	+ PIVview3C: view can be switched within image pre-processing menu
	
v.3.3.4 - Jan./Feb. 2012
	+ PIVmap3: added mesh based grid registration
	+ PIVmap3: improved multiplane handling
	+ PIVmap3: support of asymmetric grid dimensions (grid origin not centered)
	+ PIVmap3: added "recent file" loading menu
	- PIVview2C/3C: fixed crash while trying to access missing or moved directories
	- average: fixed Reynolds stress output (result had displacement units rather than velocity)
	
v.3.3.3
	+ support for 12-bit TIFF images (Photron camera output)

June/July 2011
+ PIVview version 3.3.0
	+ includes PTV-module
	* modified 2-C calibration interface
	* PIVview mode selection via dropdown menu
	+ optional display of background scene behind data set
	+ PIVview-SDK (extensive changes, code consolidation, revised docs)
	+ new commandline tool for PTV: 'ptv2c'

Jan-May 2011
+ PIVview version 3.2.0
	+ PIVviewBatch - multicore batch processing (requires dongle entry 2615:64)
	+ PIVmap3: support for multi-level targets
	+ PIVmap3: support for checkerboard targets
	+ support for compressed TIFF images (libtiff-3.9.4)
	+ additional contour plotting options
	+ PIVview3C: support for ASCII parameter files 
	* cleaned up variable space for SDK
	+ average: additional statistics processing options
	+ twofiles: add/subtract least-squares fit to/from data set
	+ imgbatch: batch conversion of image sequence
	
May 2011
+ PIVview version 3.1.3
	- fixed ruler issue (ruler not moving when dragged)
	
April 2011
+ PIVview version 3.1.2
	- fixed masking issue (mask was not being generated)
	- added plugin support for GIF,JPEG,MNG

Dec 2010
+ PIVview version 3.1.1
	* changed to using Qt-Lib 4.7.1 
	- minor bug fixes
	
July 2010
+ PIVview version 3.1.0
	+ added image transparency functions and fine intensity control
	+ interactive line integration for circulation, entrainment, etc.
	+ enhanced image transformations (fine rotation, skew, translation, etc.)

Feb 2010
+ PIVview version 3.0.9
	+ improved correlation averaging methods (multi-grid, multi-pass)
	- fixed crash associated with small data grids

Nov 2009
+ PIVview3C released (version 3.0.8)
	- fixed 'jumping objects' in mask editor 
+ PIVview2C version 3.0.7
	+ added constant image offset option for image 2

Aug 2009
+ PIVview2C version 3.0.6
	added mask loading/display for processed data sets
	adjustable transparency on displayed masks

Jul 2009
+ PIVview2C Version 3.0.5
	various minor bugfixes
	now uses Qt-Lib Version 4.5.0
	image dewarping function included (requires program PIVmap3)
	
Jan 2009
* PIVview2C Version 3.0 released for Windows, MacOSX, Linux (32 and 64bit)
+ various enhancements:
          support of ASCII parameter files
          direct PDF export
          multigrid ensemble correlation
          integrated mask editor
          additional image interpolators
          min/max image enhancement filter
          background subtraction via division (Scarano method)

May 2008
+ Added utility 'twofiles' to combine two data sets

Apr 2008
+ Beta Release of PIVview Version 3.0 based on QT-library 4.3
+ Parallelization of library using OpenMP (available upon request)

Oct 2007
+ reconvert util: add constant displacement or velocity to data set

Jan-Sep 2007
Version 2.5.0 - maintenance release
+ PIVview2C/3C - support for PNG, PGM, JPEG (with conversion from color to grayscale)
+ PIVview2C/3C - support for reading ASCII parameter files 
			(for upward compatability with upcoming PIVview v.3)
* now using netCDF version 3.6.2
* now using Qt-library version 3.3.8
+ LibDPIV - linked against multithreaded libraries
+ LibDPIV - minor bug fixes
+ numerous enhancements to commandline utilities

Oct 2006
+ PIVview3C - save 3-C residuals in netcdf output files
+ dpiv3c/dpiv - changed/enhanced commandline options
+ imagecnv - new commandline utility for conversion and filtering of images
+ reconvert - new commandline utility modification of velocity conversion 
              factors in netCDF files
- PIVview3C - repaired disabled disparity correction
- PIVview2C - repaired disappearance file data after parameter change
- PIVmapT01 - various bug fixes
- mapimage/dpiv3c - fixed mask handling

Sep 2006
- LibDPIV - extensive changes to library/SDK, increased use of namespaces
          - changed to NetCDF version 3.6.1

Aug 2006
- PIVview - repaired correlation coefficient output

July 2006
- PIVview - intermediate deformed images were not saved

May/June 2006
+ PIVview - Turned progress dialog into toolbar at bottom of main window.
+ PIVview - Added image crop capability to pre-processing
+ PIVview - Tecplot output: option to skip outliers
+ PIVview - Tecplot output: file name added to title and zone name
+ PIVview - improved mask handling in multigrid and image deformation methods
            (avoid processing of masked areas)
+ PIVview - optional removal of zero-correlation data in multigrid and 
            image deformation methods

Apr. 2006
- PIVview - fixed wrong vertical coordinates with nonzero origin offset
+ PIVviewSDK - improvements to camera-calibration functions

Mar. 2006
+ new command-line program 'imageops' for combining two images
+ PIVviewSDK - added 16bit TIFF output
- PIVview2C/3C - fixed crash on multi-grid in combination with image offset

Feb. 2006
+ PIVview3C - enable mask on disparity correction
+ PIVview3C - provide residuals of 3-C vector reconstruction for plotting and validation
+ PIVview2C/3C - provide image of ensemble-averaged correlation planes (also for disparity correction)
+ PIVview2C/3C - LUT reversal
- PIVview3C - inverted sign on vertical image offset of disparity correction

Jan. 2006
+ PIVmap3 - improved marker search algorithm, output of camera parameters
			and residuals of fit
			
Dec. 2005
+ PIVview3C - option to store 2-C data for each view (single and batch mode)
+ PIVview3C - ensemble correlation for disparity calculation
+ PIVview3C - disparity map can be loaded from file
+ PIVmap3 - improved dialog layout
+ PIVmap3 - arrow tips mark neighboring points, support for Tsai camera model

Nov. 2005
* PIVview - Version change to 2.4
	(reason: extensive changes to library/SDK )
+ PIVview - user loadable pseudocolor LUTs (including 45 different luts)
- PIVview - fixed problem with ruler length entry in conversion menu
- PIVview - enhanced file output menu
+ PIVviewSDK - introduced namespace PIV to avoid possible conflicts with other libs

Sep. 2005
* Changed QT user interface library to version 3.3.5 to fix various 
  display issues
- PIVview3C - renamed 'Residual alignment' to 'Disparity correction'
 
Aug. 2005
- PIVview3C - fixed issues with non-zero global coordinate offset
- PIVview2C/3C - parameters are loaded with PIV data set on drag-n-drop events
+ PIVutils - new command-line program 'average' for PIV file sequences

July 2005
+ PIVview - option for median filtering of images
+ PIVview2C - image dewarping using coefficients of stereo mapping
- PIVview3C - double-correlation enabled on multi-grid disparity correction (residual alignment)

May. 2005
+ PIVview - use of split-radix FFTs for variable sized (non-base-2) correlation samples
+ PIVview - optional smoothing or median filtering of processed data
+ PIVview - improved contour plot selection 

Apr. 2005
+ PIVview - possibility to fix data grid to any desired point
+ PIVview - choice of correlation plane multiplication or averaging 
+ PIVview - variable number of repeated correlations (2-9) 
+ PIVview - added ensemble correlation capability
+ PIVview - added normalized median filter (tip by J.Westerweel)
+ PIVview - added phase-only-filtered correlation (see MST paper by M.Wernet)
+ PIVview - replaced correlation-coefficient measure with SNR measure
            (reason: there is no meaningful correlation coefficient for phase only filtering)

Mar. 2005
+ PIVview - optional conversion to float images to avoid rounding errors during processing
+ PIVview - Gaussian-weighted highpass filtering

Feb. 2005
+ PIVview - LUT wrap for contour maps
+ PIVview - variable number of validation passes
- PIVview - binary tecplot output from batch processing fixed
- PIVmask - fixed annoying problem with inverted mask when top-left corner was covered
- LIBDPIV-SDK - removed StdString.h header because of incompatability with Linux

Dec./Jan. 2005
First release of version PIVview2.3
+ PIVview - added masked pixel randomization
+ PIVview - changed unit from 'µm' to 'um' (for better ASCII data compatability)
+ PIVview - added netCDF file viewer (allows manual edit of netCDF files)
+ PIVview - merged interactive calibration menu into PIV setup menu
+ PIVview3C - added multi-grid processing to residual alignment
+ PIVview3C - direct output of coefficients in *.cfs format (for compat. with older DLR codes)
+ PIVmask - added TIFF (8bit) image output and 1-Bit BMP output
+ PIVmask - mask object storage and retrieval (file extension *.msk)
+ PIVmask - command-line based mask generation
- PIVview3C - fixed a number of inconsistencies in residual alignment
- PIVview3C - fixes with view-specific image pre-processing
- PIVview - fixed BMP reader for 1 and 4-bit BMP's

Aug 2004
+ PIVview3C - added PIV processing and image pre-processing parameters to stereo project files (*.cfg)
+ PIVview3C - camera-view specific image preprocessing (filters, etc)
+ PIVview3C - use spline interpolation for image dewarping
+ PIVview - improved mask handling (separate mask for each view, image) 
+ PIVview - removed polynominal image interpolation schemes from menus (poor performance) 

July 2004
+ PIVview - binary Tecplot file output
+ PIVview - improvements to multigrid, image-deformation algorithm
- PIVview - fixed calibration dialog (parameters were not accepted)

Apr. - May.10
+ PIVview - menu for advanced processing options
+ PIVview - added vector skip
+ ALL - changed to QT-Library qt-mt332.dll
+ ALL - new image handling class 'BasicImage'

Mar.30 - Apr.15, 2004
+ PIVview - added output options to batch dialogs
+ PIVview - improved validation algorithm, added add'l validation filters
- PIVview - repaired dual directory option for stereo PIV image selection (also for batch proc)
- PIVview - improved intermediate display
- PIVview3C - fixed bug in stereo reconstruction geometry
+ ALL - changed to QT-Library qt-mt331.dll

Feb.26, 2004
- LIBDPIV - cleaned up error-prone code around nonlinear peak fitter,
			also increased speed

Feb.16, 2004
+ DPIV - added -noflags option to allow for compatability with old DLR software
- DPIV - mask inversion fixed

Feb.01, 2004
- DPIV - image rotation was not performed

Jan.15, 2004
+ PIVview - Reynolds stress calculation from sequence

Dec.15, 2003
+ PIVview - result from batch processing shown in separate window

Dec.07-10, 2003
- PIVview - batch processing: optional parameter file was not loaded
+ PIVview - improved dialog modality
+ PIVview - improved printing capabilities (captions, layout)
+ PIVview - File output dialogs: automatic adding of file extensions

Nov.08-13, 2003
+ PIVview - inter-camera alignment/check during batch processing
+ DPIV3C - inter-camera alignment for each individual data set (-align option)
+ image pair exporting of current (pre-processed) image
- background image subtraction perfromed on first image only.
- DPIV3C - conversion parameters not read from stereo configuration

Nov.05, 2003
- 8-bit TIFFs with missing 'samples' field were not loaded properly
+ added plot parameter saving/restore to PIVview
+ improved image loading from stereo project if files are moved to different directory

Nov.02, 2003
- PIVview3C - conversion params were not updated right after loading project
+ added Histogram function to PIVview

Oct.31, 2003
+ DPIV3C - newly created program for complete stereo-PIV evaluation

Oct.25, 2003
+ DPIV - added BMP-file support (1-bit and 8-bit)
+ DPIV - added image masking support
+ PIVview3C - simultaneous display of samples and correlation planes from both views

Oct.20, 2003
- fixed improper parameter file loading
+ added automatic file extensions in save dialogs
+ automatically terminate any running child programs upon exit
+ option to automatically re-evaluate missing data with larger sampling window

Oct.10, 2003
- fixed occasional bugs arising image size changed
+ enhanced PIV parameter menu to hold sample overlap constant
+ introduced PIV-image based residual alignment for stereo-PIV

Sep.12, 2003
- resolved skew problem with mask images that are not base-4 width

Aug.14, 2003
- fixed bug in contour bitmap display (caused crash of program)

Aug.13, 2003
- fixed mask problem (mask wasn't disabled after disabling it in the dialog)
- disabled edge mirroring on B-spline image interpolation

Jul.30, 2003
- contour map stayed active, even for newly loaded image
- intermediate display of new contour maps during processing

*/


